
import setuptools
import os
import re

with open("README.MD", "r") as fh:
    long_description = fh.read()

def find_version(fnam,version="VERSION"):
    with open(fnam) as f:
        cont = f.read()
    regex = f"{version}\s*=\s*[\"]([^\"]+)[\"]"
    match = re.search(regex,cont)
    if match is None:
        raise Exception( f"version with spec={version} not found, use double quotes for version string")
    return match.group(1)
   
def find_projectname():
    cwd = os.getcwd()
    name = os.path.basename(cwd)
    return name  

projectname = find_projectname()
file = os.path.join( projectname, "__main__.py" )
version = find_version(file)

setuptools.setup(
    
    name=projectname, 
    version=version,
    author="k.r. goger",
    author_email=F"k.r.goger+pybcpy@gmail.com",
    description="pybc - backup copy - utility",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/kr-g/pybcpy",
    packages=setuptools.find_packages(),
    license = 'MIT',
    keywords = 'python backup file-copy file-backup diff-backup differential-backup',
    install_requires=[],    
    classifiers=[
            'Development Status :: 3 - Alpha',
            'Operating System :: POSIX :: Linux',
            'Operating System :: OS Independent',
            'Environment :: Console',
            'Intended Audience :: System Administrators',
            'Intended Audience :: Developers',
            'Intended Audience :: Information Technology',
            'Topic :: Utilities',
            'Topic :: System :: Archiving :: Backup',
            'Topic :: System :: Recovery Tools',
            'Programming Language :: Python :: 3',
            'License :: OSI Approved :: GNU Affero General Public License v3 or later (AGPLv3+)',
    ],
    python_requires='>=3.6',
)

